function show_cerveza(t,pop,chrom,value,fitness,howmany)

% SHOW_CERVEZA		Function that display value in the console
% 
% SHOW_CERVEZA(T,POP,CHROM,VALUE,FITNESS,N)
% 
% It displays in the console the value of the best individuals every N iterations. 
% 
% SEE ALSO GA_SHOW

% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 9: El Aprendizaje con Algoritmos Genéticos
% Autores: Bonifacio de Andres y Toro


global Hcer;
if t==1
   Hcer=figure;
end
	
if mod(t,howmany)==0
   m=find(fitness==max(fitness));
   figure(Hcer);
   hold off
   colour=repmat(['r';'y';'b';'c';'g';'m';'k'],1,ceil(length(m)/7));

   for i=1:length(m);
      dibu=pop(m(i),:);
      plot(dibu,colour(i));
      hold on
   end
   title(sprintf('Iter t=%d (%d)',t,length(m)));

   drawnow;
 
end
   
   
   